import macondo.mak.*;
import macondo.mjada.*;

public class PingAgent extends Agent {
	
	public PingAgent() {
	}
	
	public void init() {
		System.out.println("Hello! I'm a Ping Agent and I'm going to play!");
		try {
			go("localhost", 9000, "play");
			System.out.println("This statement is never executed!");
		} catch (TransportException e) {
			System.out.println("Sorry ... caugth an exception ");
			e.printStackTrace();
		}
	}
	
	public void play() {
		System.out.println("Ping Agent: playing ping-pong for 5 times");
		
		PingPongPlace place = (PingPongPlace)getCurrentPlace();
		Space space =  place.getSpace();
		
		Tuple ping, formal = new Tuple("ping", Integer.class);
		Result res;
		int cnt;
		
		for(int i=0; i<5; i++) {
			res = space.in(formal);
			ping = (Tuple)res.getObject();
			System.out.println("Ping: got "+ping);
			cnt = ((Integer)ping.getItem(1)).intValue();
			space.out(new Tuple("pong", new Integer(cnt+1)));
		}
		
		// clean up tuple space
		//res = space.in(formal);
		//ping = (Tuple)res.getObject();
		
		System.out.println("Ping Agent: game is finished :(");
	}
}