import mak.agent.*;

public class StoreAgentDemo extends Agent {
	
	private String state = "running for the first time";
	
	public void init() {
		System.out.println("State is "+state);
		if (state.equals("sleeping")) {
			wakeUp();
		} else {
			try {
				state = "moved";
				go("localhost", 9000, "at9000");
			} catch (Exception e) {
				System.out.println("sorry, can't move...");
			}
		}
	}
	
	public void at9000() {
		System.out.println("now i'm at 9000 and state is "+state);
		System.out.println("i'm going to sleep... i'm very tired");
		try {
			state = "sleeping";
			save();
		} catch(Exception e) {
			System.out.println("sorry, unable to save...");
		}
	}
	
	public void wakeUp() {
		System.out.println("waking up agent. State was "+state);
	}
	
}