import macondo.mak.*;

/**
 *	An agent derived from Agent base class
 *
 *	@author 	Andrea Giovannini
 *	@version	beta
 */

public class myAgent extends Agent {
	// State is a simple class used to tests multi-class agent migration
	private State myState;

	public myAgent() {}

	public myAgent(String name) {
		super(name);
	}

	public void a() {
		System.out.println("This is method a() and state = " + myState.get());
		displayInfo();
		myState.inc();
		System.out.println("This is method a() and state = " + myState.get());
		/*
		try {
			go("localhost",9000, "b");
		} catch (Exception e) {
			e.printStackTrace();
			System.exit(-1);
		}
		*/
	}
	
	/*
	public void b() {
		System.out.println("This is method b() and state = " + myState.get());
		displayInfo();
		myState.inc();
		System.out.println("Dying ...");
	}
	*/
	
	public void init() {
		displayInfo();
		myState = new State(0);
		System.out.println("Moving up with state = " + myState.get());
		myState.inc();
		try {
			go("localhost",9000, "a");
		} catch (Exception e) {
			e.printStackTrace();
			System.exit(-1);
		}
	}
	
}