package macondo.mak;

/**
 *	Thrown when the destination of a migration is unknown.
 *
 *	@see		Agent#go
 *	@author		Andrea Giovannini
 *	@version	beta
 */
 
public class UnknownDestinationException extends TransportException {

	/**
	 *	Builds a new <code>UnknownDestinationException</code> with
	 *	no detail message.
	 */
	public UnknownDestinationException() {
		super();
	}
	
	/**
	 *	Builds a new <code>UnknownDestinationException</code> with
	 *	the specified detail message.
	 */
	public UnknownDestinationException(String msg) {
		super(msg);
	}

}